%define name libunistring
%define version 0.9.3
%define release %mkrel 5
%define major 0
%define libname %mklibname unistring %major
%define develname %mklibname -d unistring
%define staticname %mklibname -s -d unistring

Summary: GNU Unicode string library
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://ftp.gnu.org/gnu/libunistring/%{name}-%{version}.tar.gz
License: LGPLv2+
Group: System/Libraries
Url: http://www.gnu.org/software/libunistring/
BuildRequires: locales-fr
BuildRequires: texinfo

%description
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n %libname
Group: System/Libraries
Summary: GNU Unicode string library

%description -n %libname
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n %develname
Group: Development/C
Summary: GNU Unicode string library - development files
Requires: %libname = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%package -n %staticname
Group: Development/C
Summary: GNU Unicode string library - static library
Requires: %develname = %version-%release
Provides: %name-static-devel = %version-%release

%description -n %staticname
This library implements Unicode strings (in three flavours: UTF-8
strings, UTF-16 strings, UTF-32 strings), together with functions for
Unicode charactets (character names, classifications, properties) and
functions for string processing (formatted output, width, word breaks,
line breaks, normalization, case folding, regular expressions).

%prep
%setup -q

%build
%configure2_5x 
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%post -n %develname
%_install_info %{name}.info

%preun -n %develname
%_remove_install_info %{name}.info

%files -n %libname
%doc AUTHORS NEWS README
%_libdir/libunistring.so.%{major}*

%files -n %develname
%doc HACKING DEPENDENCIES THANKS ChangeLog
%doc %_datadir/doc/%name/*.html
%_libdir/libunistring.so
%_infodir/libunistring.info*
%_includedir/unistring
%_includedir/*.h

%files -n %staticname
%_libdir/libunistring.a


%changelog

* Mon Nov 21 2011 fwang <fwang> 0.9.3-5.mga2
+ Revision: 170366
- drop .la files

* Fri May 06 2011 ahmad <ahmad> 0.9.3-4.mga1
+ Revision: 95273
- Revert the deleting of .la files

* Thu May 05 2011 ahmad <ahmad> 0.9.3-3.mga1
+ Revision: 95207
- Don't ship .la files

* Sat Jan 15 2011 ahmad <ahmad> 0.9.3-2.mga1
+ Revision: 18374
- drop old/unneeded scriptlets
- imported package libunistring

